security/policykit - The NetBSD Packages Collection

Framework for managing admin policies and privileges

PolicyKit is an application-level toolkit for defining and handling the
policy that allows unprivileged processes to speak to privileged processes:
It is a framework for centralizing the decision making process with respect
to granting access to privileged operations for unprivileged applications.
PolicyKit is specifically targeting applications in rich desktop environments
on multi-user UNIX-like operating systems. It does not imply or rely on any
exotic kernel features.

Build dependencies

textproc/libxslt textproc/docbook-xsl pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/autoconf textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

textproc/libxml2 textproc/xmlcatmgr sysutils/dbus sysutils/dbus-glib textproc/libxml2 sysutils/dbus-glib

Available binary packages

aarch64:policykit-0.9nb24.tgz(NetBSD 9.0)
aarch64:policykit-0.9nb25.tgz(NetBSD 9.0)
aarch64:policykit-0.9nb27.tgz(NetBSD 9.0)
alpha:policykit-0.9nb27.tgz(NetBSD 9.0)
alpha:policykit-0.9nb24.tgz(NetBSD 9.0)
alpha:policykit-0.9nb25.tgz(NetBSD 9.0)
earm:policykit-0.9nb25.tgz(NetBSD 9.0)
earm:policykit-0.9nb27.tgz(NetBSD 9.0)
earmv6hf:policykit-0.9nb27.tgz(NetBSD 9.0)
earmv6hf:policykit-0.9nb24.tgz(NetBSD 9.0)
earmv6hf:policykit-0.9nb25.tgz(NetBSD 9.0)
earmv6hf:policykit-0.9nb27.tgz(NetBSD 9.0)
earmv7hf:policykit-0.9nb27.tgz(NetBSD 8.0)
earmv7hf:policykit-0.9nb23.tgz(NetBSD 8.0)
earmv7hf:policykit-0.9nb24.tgz(NetBSD 8.0)
earmv7hf:policykit-0.9nb25.tgz(NetBSD 8.0)
earmv7hf:policykit-0.9nb27.tgz(NetBSD 9.0)
earmv7hf:policykit-0.9nb23.tgz(NetBSD 9.0)
earmv7hf:policykit-0.9nb24.tgz(NetBSD 9.0)
earmv7hf:policykit-0.9nb25.tgz(NetBSD 9.0)
earmv7hf:policykit-0.9nb27.tgz(NetBSD 9.0)
i386:policykit-0.9nb24.tgz(NetBSD 8.0)
i386:policykit-0.9nb25.tgz(NetBSD 8.0)
i386:policykit-0.9nb27.tgz(NetBSD 8.0)
i386:policykit-0.9nb24.tgz(NetBSD 9.0)
i386:policykit-0.9nb25.tgz(NetBSD 9.0)
i386:policykit-0.9nb27.tgz(NetBSD 9.0)
m68k:policykit-0.9nb25.tgz(NetBSD 9.0)
m68k:policykit-0.9nb23.tgz(NetBSD 9.0)
mips64eb:policykit-0.9nb25.tgz(NetBSD 9.0)
mips64eb:policykit-0.9nb27.tgz(NetBSD 9.0)
mipsel:policykit-0.9nb27.tgz(NetBSD 9.0)
powerpc:policykit-0.9nb25.tgz(NetBSD 8.0)
powerpc:policykit-0.9nb27.tgz(NetBSD 8.0)
powerpc:policykit-0.9nb27.tgz(NetBSD 9.0)
powerpc:policykit-0.9nb24.tgz(NetBSD 9.0)
powerpc:policykit-0.9nb25.tgz(NetBSD 9.0)
sh3el:policykit-0.9nb25.tgz(NetBSD 9.0)
sh3el:policykit-0.9nb27.tgz(NetBSD 9.0)
sparc64:policykit-0.9nb27.tgz(NetBSD 9.0)
sparc64:policykit-0.9nb24.tgz(NetBSD 9.0)
sparc64:policykit-0.9nb25.tgz(NetBSD 9.0)
sparc:policykit-0.9nb25.tgz(NetBSD 9.0)
sparc:policykit-0.9nb27.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb26.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb27.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb27.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb25.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb25.tgz(NetBSD 8.0)
x86_64:policykit-0.9nb24.tgz(NetBSD 8.0)
x86_64:policykit-0.9nb27.tgz(NetBSD 8.0)
x86_64:policykit-0.9nb24.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb25.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb27.tgz(NetBSD 9.0)
x86_64:policykit-0.9nb27.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]